# Uses of Class
org.eclipse.swt.widgets.Menu

Packages that use Menu
Package
Description
org.eclipse.swt.widgets

## Uses of Menu in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Menu
Modifier and Type
Method
Description
`Menu`
Control.`getMenu()`
Returns the receiver's pop up menu if it has one, or null if it does not.
`Menu`
MenuItem.`getMenu()`
Returns the receiver's cascade menu if it has one or null if it does not.
`Menu`
TaskItem.`getMenu()`
Returns the receiver's pop up menu if it has one, or null if it does not.
`Menu`
Decorations.`getMenuBar()`
Returns the receiver's menu bar if one had previously been set, otherwise returns null.
`Menu`
Display.`getMenuBar()`
Returns the single instance of the application menu bar or null when there is no application menu bar for the platform.
`Menu`
MenuItem.`getParent()`
Returns the receiver's parent, which must be a `Menu`.
`Menu`
Menu.`getParentMenu()`
Returns the receiver's parent item, which must be a `Menu` or null when the receiver is a root.
`Menu`
Display.`getSystemMenu()`
Returns the single instance of the system-provided menu for the application.
Methods in org.eclipse.swt.widgets with parameters of type Menu
Modifier and Type
Method
Description
`void`
Control.`setMenu(Menu menu)`
Sets the receiver's pop up menu to the argument.
`void`
MenuItem.`setMenu(Menu menu)`
Sets the receiver's pull down menu to the argument.
`void`
TaskItem.`setMenu(Menu menu)`
Sets the receiver's pop up menu to the argument.
`void`
Decorations.`setMenuBar(Menu menuBar)`
Sets the receiver's menu bar to the argument, which may be null.
Constructors in org.eclipse.swt.widgets with parameters of type Menu
Modifier
Constructor
Description
``
`Menu(Menu menu)`
Constructs a new instance of this class given its parent (which must be a `Menu`) and sets the style for the instance so that the instance will be a drop-down menu on the given parent's parent.
``
`MenuItem(Menu parent, int style)`
Constructs a new instance of this class given its parent (which must be a `Menu`) and a style value describing its behavior and appearance.
``
`MenuItem(Menu parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `Menu`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.